package de.fzj.unicore.uas.functional;

import de.fzj.unicore.wsrflite.Kernel;



public abstract class RegressionTest {
	
	protected boolean success=true;
	
	public abstract String getDescription();
	
	public abstract void doTest(Kernel k);
	
	public boolean success(){
		return success;
	}
	
	public void assertTrue(boolean val){
		if(!val){
			success=false;
			System.out.println("Error occured, a stack trace follows.");
			Thread.dumpStack();
		}
	}
	
}
